For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for APIs, version Calculations.
For other versions, use one of these documentation indexes:
- Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
- Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
- E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
- Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
- Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
- Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
- 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
- Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
- ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
- Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt
Access control: this endpoint is available to users with the everyone role.
This API is available by invitation only.
Security Policies
This API depends on the following active services:Returns (at least one of): Mrs, MRSComplianceManager, AvaTaxCsp.Firm Managed (for accounts managed by a firm): ARA, ARAManaged.
Authentication
Authorizationstring
API Key authentication via header
Path parameters
countrystringRequired
The two-character ISO-3166 code for the country.
regionstringRequired
The two or three character region code for the region.
Headers
X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Query parameters
effectiveDatedatetimeOptional
Used to limit the jurisdictions or rates returned.
endDatedatetimeOptional
Used to limit the jurisdictions or rates returned.
aggregationOptionenumOptional
Aggregation method used.
Allowed values:
$topintegerOptional
If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
$skipintegerOptional
If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.
$filterstringOptional
A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST. Not filterable: taxRegionId, taxTypeCodeName, taxSubTypeCode, taxSubTypeCodeName, rateTypeCodeName, componentRate, taxAuthorityId, cityName, countyName, effDate, endDate
$orderBystringOptional
A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.